Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt
Class Log

    java.lang.Object
      jpicedt.Log

public class Log
extends Object

Utility class for printing out debugging messages.

Since:
  jpicedt 1.3
Version:
  $Id: Log.java,v 1.19.2.1 2007/09/02 11:55:59 reynal Exp $
Author:
  Sylvain Reynal

Field Summary
`static boolean` | `DEBUG`

Constructor Summary
`Log()`

Method Summary
`static void` | `debug()` Usage : if (Log.DEBUG) Log.debug(); This will automatically print the calling class and method name using new JDK1.4 features.
`static void` | `debug(String msg)` Usage : if (Log.DEBUG) Log.debug("message"); This will automatically print the calling class and method name using new JDK1.4 features.
`static void` | `debugAppend(String msg)` use it like this : if (Log.DEBUG) Log.debugAppend(this,"bla bla"); *
`static void` | `debugAppendLn(String msg)` Usage : if (Log.DEBUG) Log.debugAppendLn("bla bla");
`static void` | `error(String msg)`
`static void` | `warning(String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

See Also:
  Constant Field Values

Constructor Detail

### Log

    public Log()

Method Detail

### debug

    public static void debug()

  Usage : if (Log.DEBUG) Log.debug();
  This will automatically print the calling class and method name using new JDK1.4 features.

### debug

    public static void debug(String msg)

  Usage : if (Log.DEBUG) Log.debug("message");
  This will automatically print the calling class and method name using new JDK1.4 features.

### debugAppendLn

    public static void debugAppendLn(String msg)

  Usage : if (Log.DEBUG) Log.debugAppendLn("bla bla");

### debugAppend

    public static void debugAppend(String msg)

  use it like this : if (Log.DEBUG) Log.debugAppend(this,"bla bla"); *

### error

    public static void error(String msg)

### warning

    public static void warning(String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org